Skip to main content
`Ctrl`+`K`

# DMLabelCreate

Create a `DMLabel` object, which is a multimap

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelCreate(MPI_Comm comm, const char name[], DMLabel *label)

Collective

## Input Parameters

- comm - The communicator, usually `PETSC_COMM_SELF`

- name - The label name

## Output Parameter

- label - The `DMLabel`

## Notes

The label name is actually usually the `PetscObject` name. One can get/set it with `PetscObjectGetName()`/`PetscObjectSetName()`.

## See Also

`DMLabel`, `DM`, `DMLabelDestroy()`

## Level

beginner

## Location

src/dm/label/dmlabel.c

## Examples

src/ts/tutorials/ex30.c
src/snes/tutorials/ex27.c
src/ts/tutorials/ex11.c
src/dm/label/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex10.c

## Implementations

DMLabelCreate_Ephemeral() in src/dm/label/impls/ephemeral/dmlabeleph.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages